Summary: Network exploration tool and security scanner
Name: nmap
Version: 3.81
Release: 1
Epoch: 1
Copyright: GPL
Group: Applications/System
Source0: http://www.insecure.org/nmap/dist/%{name}-%{version}.tar.bz2
URL: http://www.insecure.org/nmap/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: make
BuildRequires: gtk+-devel >= 1.2.10
BuildRequires: libpcap-devel >= 0.9.8
BuildRequires: openssl-devel >= 0.9.8
BuildRequires: pcre-devel >= 7.9

Requires: libpcap >= 0.9.8
Requires: openssl >= 0.9.8
Requires: pcre >= 7.9

%description
Nmap is a utility for network exploration or security auditing. It
supports ping scanning (determine which hosts are up), many port
scanning techniques, version detection (determine service protocols
and application versions listening behind ports), and TCP/IP
fingerprinting (remote host OS or device identification). Nmap also
offers flexible target and port specification, decoy/stealth scanning,
sunRPC scanning, and more. Most Unix and Windows platforms are
supported in both GUI and commandline modes. Several popular handheld
devices are also supported, including the Sharp Zaurus and the iPAQ.


%package frontend
Summary: Gtk+ frontend for nmap
Group: Applications/System
Requires: %{name} = %{version}
Requires: gtk+ >= 1.2.10

%description frontend
This package includes nmapfe, a Gtk+ frontend for nmap. The nmap package must
be installed before installing nmap-frontend.


%prep
%setup -q


%build
export CC="cc -qcpluscmt"

# enforce a shared library path
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --with-openssl=%{_prefix} \
    --with-libpcap=%{_prefix} \
    --with-libpcre=%{_prefix}

gmake %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mkdir -p ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications
cp nmapfe.desktop ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/
chmod 0644 ${RPM_BUILD_ROOT}/etc/X11/applnk/Applications/*

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,system)
%doc COPYING
%doc docs/README docs/nmap-fingerprinting-article.txt
%doc docs/nmap.deprecated.txt docs/nmap.usage.txt docs/nmap_doc.html
%doc docs/nmap_manpage.html docs/nmap_manpage-es.html
%doc docs/nmap_manpage-fr.html docs/nmap_manpage-lt.html 
%doc docs/nmap_manpage-it.html
%doc docs/nmap_manpage-ru.html
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%{_datadir}/%{name}
/usr/bin/%{name}


%files frontend
%defattr(-,root,system)
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_mandir}/man1/nmapfe.*
%{_mandir}/man1/xnmap.*
%attr(0644,root,system) /etc/X11/applnk/Applications/nmapfe.desktop
/usr/bin/nmapfe
/usr/bin/xnmap


%changelog
* Fri May 28 2010 Michael Perzl <michael@perzl.org> - 3.81-1
- first version for AIX V5.1 and higher
